﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.07
@EndOfDesignText@
'Static code module
Sub Class_Globals	
	Public vuetify As VuetifyApp
	Public page As VueComponent
	Public path As String
	Public name As String = "home"
	Private banano As BANano		'ignore
	
	Private VAvatar1 As VAvatar		'ignore
	Private VCard1 As VCard			'ignore
	Private VCol1 As VCol			'ignore
	Private VCardText1 As VCardText	'ignore
	Private VLabel2 As VLabel		'ignore
	Private VLabel3 As VLabel		'ignore
	
	Private VChartkick1 As VChartKick 'ignore
	Private VChartkick2 As VChartKick 'ignore
End Sub

Sub Initialize(v As VuetifyApp)		'ignoreDeadCode
	'establish a reference to the app
	vuetify = v
	'initialize the component
	page.Initialize(Me, name)
	page.vuetify = vuetify
	'make this the start page
	page.StartPage
	path = page.path

	'build the page html here
	banano.LoadLayout(page.Here, "home")
	
	page.SetData("summary", page.NewList)
	
	page.OnMounted("onmounted",Null)
	
	'add this route component to the app
	vuetify.AddRoute(page)
End Sub

Sub onmounted				'ignoreDeadCode
	card
	AreaChart
	PieChart
End Sub

Sub card
	Dim summary As List
	summary.Initialize
	summary.Add(CreateMap("name": "Patient", "number": "71", "avatar": "./assets/image1.png","icon":"mdi-heart-broken"))
	summary.Add(CreateMap("name": "Appointment", "number": "72", "avatar": "./assets/image2.png","icon":"mdi-heart-broken"))
	summary.Add(CreateMap("name": "Doctor", "number": "19", "avatar": "./assets/image3.png","icon":"mdi-heart-broken"))
	page.SetData("summary", summary)
End Sub

Sub AreaChart
	'line chart
'	VChartkick1.Clear
'	VChartkick1.AddXYMap(CreateMap("2013-02-10":11,"2013-02-11":6,"2013-02-12":3,"2013-02-13":2,"2013-02-14":5, _
'	"2013-02-15":3,"2013-02-16":8,"2013-02-17":6,"2013-02-18":6,"2013-02-19":12,"2013-02-20":5,"2013-02-21":5, _
'	"2013-02-22":3,"2013-02-23":1,"2013-02-24":10,"2013-02-25":1,"2013-02-26":3,"2013-02-27":2, _
'	"2013-02-28":3,"2013-03-01":2,"2013-03-02":8))
'	VChartkick1.Refresh
	VChartkick1.Clear
	'will create a series if it does not exist
	VChartkick1.AddSeriesXY("hospitalizations", "2021-02-10", 3)
	VChartkick1.AddSeriesXYMap("hospitalizations", CreateMap("2021-02-10": 3, "2021-02-17": 3, "2021-02-24": 3, "2021-03-03": 1, "2021-03-10": 4, "2021-03-17": 3, "2021-03-24": 2, "2021-03-31": 3))
	VChartkick1.AddSeries("resignation", "", False, CreateMap("2021-02-10": 0, "2021-02-17": 0, "2021-02-24": 0, "2021-03-03": 0, "2021-03-10": 2, "2021-03-17": 1, "2021-03-24": 0, "2021-03-31": 0))
	VChartkick1.AddSeries("Covid-19", "", False, CreateMap("2021-02-10": 0, "2021-02-17": 1, "2021-02-24": 0, "2021-03-03": 0, "2021-03-10": 0, "2021-03-17": 1, "2021-03-24": 0, "2021-03-31": 1))
	VChartkick1.AddSeries("payment", "", False, CreateMap("2021-02-10": 5, "2021-02-17": 3, "2021-02-24": 2, "2021-03-03": 0, "2021-03-10": 0, "2021-03-17": 1, "2021-03-24": 1, "2021-03-31": 0))
	VChartkick1.AddSeries("emergency room", "", False, CreateMap("2021-02-10": 3, "2021-02-17": 2, "2021-02-24": 1, "2021-03-03": 0, "2021-03-10": 2, "2021-03-17": 2, "2021-03-24": 3, "2021-03-31": 0))
	VChartkick1.Refresh
End Sub

Sub PieChart
	VChartkick2.Clear
	VChartkick2.AddXY("Patient", 40)
	VChartkick2.AddXY("Appontment", 20)
	VChartkick2.AddXY("Presctiption", 30)
	VChartkick2.Refresh
End Sub